import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ChatMessageComponent } from './chat-message.component';
import { IonicModule } from '@ionic/angular';
import { ChatCardModule } from 'src/app/components/chat-card/chat-card.module';

@NgModule({
  declarations: [
    ChatMessageComponent
  ],
  imports: [
    CommonModule,
    IonicModule,
    ChatCardModule
  ],
  exports: [
    ChatMessageComponent
  ]
})
export class ChatMessageModule { }
