import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { IonicModule } from '@ionic/angular';

import { MessageCardModule } from '../message-card/message-card.module';
import { GpProcedureHeaderComponent } from './gp-procedure-header.component';
import { PipeModule } from 'src/app/pipe/pipe.module';

@NgModule({
	declarations: [GpProcedureHeaderComponent],
	imports: [CommonModule, IonicModule, MessageCardModule, PipeModule],
	exports: [GpProcedureHeaderComponent],
})
export class GpProcedureHeaderModule { }
