import { CommonModule, DatePipe } from '@angular/common';
import { NgModule } from '@angular/core';
import { IonicModule } from '@ionic/angular';

import { MessageCardModule } from '../message-card/message-card.module';
import { GpProcedureInfoComponent } from './gp-procedure-info.component';
import { PipeModule } from 'src/app/pipe/pipe.module';

@NgModule({
	declarations: [GpProcedureInfoComponent],
	imports: [CommonModule, IonicModule, MessageCardModule, PipeModule],
	exports: [GpProcedureInfoComponent, DatePipe],
})
export class GpProcedureInfoModule { }
