import { Allegato } from './allegato';
import { EventoDocumento } from './evento-documento';

export interface NewsEventiDettaglio {
	title: string;
	nid: string;
	id: string; // colpa del portale
	field_image: string;
	field_data_pubblicazione: string;
	field_descrizione_abstract: string;
	body: string;
	field_galleria_di_immagini: string | string[];
	field_multimedia: string; 
	field_documenti_allegati: string;
	field_documenti: EventoDocumento[];
	listaImage?: Array<string>;
	listaVideoLocali?: Array<string>;
	listaVideoEsterni?: Array<string>;
	listaAllegati?: Array<Allegato>;
	base_url?: string;
	field_correlati_documenti: string;
	relatedList: Allegato[];
	field_tipologia_notizia: string;
	a_cura_di: string;
	correlati_persone: string;
	correlati_luoghi: string;
	correlati_novita: string;
	parsedACareOf: Allegato[];
	parsedCorrelatedPeople: Allegato[];
	parsedCorrelatedPlaces: Allegato[];
	parsedCorrelatedNews: Allegato[];
	field_date: string;
	field_sito_web?: string; 
	field_organizzato_da?: string;
}
