import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { DettaglioNewsPage } from './dettaglio-news.page';

const routes: Routes = [
  {
    path: '',
    component: DettaglioNewsPage
  },
  {
    path: 'galleria-news',
    loadChildren: () => import('../').then( m => m.GalleriaNewsPageModule)
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DettaglioNewsPageRoutingModule {}
