import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { IonicModule } from '@ionic/angular';

import { PoiDettaglioPageRoutingModule } from './poi-dettaglio-routing.module';

import { PoiDettaglioPage } from './poi-dettaglio.page';
import { GenericSkeletonModule, HeaderModule, WidgetMappaModule } from 'src/app/components';
import { LeafletModule } from '@asymmetrik/ngx-leaflet';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    PoiDettaglioPageRoutingModule,
    GenericSkeletonModule,
    HeaderModule,
		LeafletModule,
    WidgetMappaModule
  ],
  declarations: [PoiDettaglioPage]
})
export class PoiDettaglioPageModule {}
