import { CommonModule, registerLocaleData } from '@angular/common';
import localeIt from '@angular/common/locales/it';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { NgCalendarModule } from 'ionic2-calendar';

import { HeaderModule } from '../../../components/header/header.module';
import { PrenotazioneStep3PageRoutingModule } from './prenotazione-step3-routing.module';
import { PrenotazioneStep3Page } from './prenotazione-step3.page';

registerLocaleData(localeIt);
@NgModule({
	imports: [CommonModule, FormsModule, IonicModule, PrenotazioneStep3PageRoutingModule, NgCalendarModule, HeaderModule],
	declarations: [PrenotazioneStep3Page],
})
export class PrenotazioneStep3PageModule {}
