import { Pipe, PipeTransform } from '@angular/core';
import { VariableGp } from 'src/app/models';

@Pipe({
  name: 'gpValueVariable'
})
export class GpValueVariablePipe implements PipeTransform {

  transform(value: string, variablesGp: VariableGp[]): string | boolean {
    if (value && variablesGp && variablesGp.length > 0) {
 /*      if (value == 'ubiVia' || value == 'ubiCiv'  ) {
        console.log(value, ' :', variablesGp.find(variable => variable.name === value))
      } */
      try {
        return variablesGp.find(variable => variable.name === value).value;
      } catch (e) {
        return null;
      }
    } else {
      return null;
    }
  }

}
