package it.itsvil.macs.backend.dao;

import org.springframework.stereotype.Repository;

import it.itsvil.macs.backend.dto.AuditDTO;
import it.itsvil.macs.backend.dto.CodiceFiscaleFruitoreAndUserDTO;
import it.itsvil.macs.backend.dto.PrenotazioneDTO;

@Repository
public interface MacsDao {
	
	void insertAudit(AuditDTO request);
	void upDateAudit(AuditDTO request);
	void upDateMeetingPrenotazione(PrenotazioneDTO request);
	void upDateSadisfactionPrenotazione(PrenotazioneDTO request);
	void insertPrenotazione(PrenotazioneDTO request);
	void UpDateDisdiciPrenotazione(PrenotazioneDTO request);
	CodiceFiscaleFruitoreAndUserDTO getCfRichiedenteFruitore(int n_id_prenotazione);
	PrenotazioneDTO getPrenotazione(Long n_id_prenotazione);

}
