package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.util.List;

public class PrenotazioneAppuntamentoDTO implements Serializable {

	private static final long serialVersionUID = 7285161841873834206L;
	
	private AnagraficaDTO anagraficaPresentante;
	
	private AnagraficaDTO anagraficaFruitore;
	
	private List<SlotDTO> slot;
	
	private int idPrenotazione;

	private String t_satisfaction;

	private boolean disdicibile;
	
	private String risorsaPrenotata;
	
	private String b64PdfPrenotazione;
	
	public AnagraficaDTO getAnagraficaPresentante() {
		return anagraficaPresentante;
	}
	public void setAnagraficaPresentante(AnagraficaDTO anagraficaPresentante) {
		this.anagraficaPresentante = anagraficaPresentante;
	}
	public AnagraficaDTO getAnagraficaFruitore() {
		return anagraficaFruitore;
	}
	public void setAnagraficaFruitore(AnagraficaDTO anagraficaFruitore) {
		this.anagraficaFruitore = anagraficaFruitore;
	}
	public List<SlotDTO> getSlot() {
		return slot;
	}
	public void setSlot(List<SlotDTO> slot) {
		this.slot = slot;
	}
	public int getIdPrenotazione() {
		return idPrenotazione;
	}
	public void setIdPrenotazione(int idPrenotazione) {
		this.idPrenotazione = idPrenotazione;
	}
	public boolean isDisdicibile() {
		return disdicibile;
	}
	public void setDisdicibile(boolean disdicibile) {
		this.disdicibile = disdicibile;
	}
	public String getRisorsaPrenotata() {
		return risorsaPrenotata;
	}
	public void setRisorsaPrenotata(String risorsaPrenotata) {
		this.risorsaPrenotata = risorsaPrenotata;
	}
	public String getB64PdfPrenotazione() {
		return b64PdfPrenotazione;
	}
	public void setB64PdfPrenotazione(String b64PdfPrenotazione) {
		this.b64PdfPrenotazione = b64PdfPrenotazione;
	}

	public String getT_satisfaction() {
		return t_satisfaction;
	}

	public void setT_satisfaction(String t_satisfaction) {
		this.t_satisfaction = t_satisfaction;
	}
}
