package it.itsvil.macs.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(Include.NON_ABSENT)
public class ProfilatoreInsertUtenzaByRuoloResponseDTO implements Serializable{
	
	private static final long serialVersionUID = -8205014207201511542L;
	
	@Schema(description = "Booleano che indica l'esito dell'operazione")
	private boolean success;
	
	@Schema(description = "Codice HTTP restituito dal servizio")
	private int code;
	
	@Schema(description = "Descrizione aggiuntiva")
	private String descrizione;
	
	@Schema(description = "Oggetto contenuto nella risposta")
	private String data;

}
