package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.util.List;

public class RisorseDTO implements Serializable{

	private static final long serialVersionUID = -4963967080112504702L;

	private String openApi;
	
	//required
	private String nome;
	
	//required
	private int id;
	
	//required
	private int idParent;
	
	//required
	private boolean flgPrenotabile;
	
	//required
	private int minutiPrenotabili;
	
	private int tipoGruppo;
	
	private List<ContattoRisorsaDTO> contatti;
	
	private String descrizione;
    
	private int giorniMinPrenot;
    
	private int giorniMaxPrenot;
	
	private List<DomandaDTO> domande;
	
	private List<DocumentoDTO> documenti;
	
	private int numMaxSlotPrenot;
	
	private List<SlotDTO> slot;
	
	private boolean virtuale;
	
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getIdParent() {
		return idParent;
	}
	public void setIdParent(int idParent) {
		this.idParent = idParent;
	}
	public boolean isFlgPrenotabile() {
		return flgPrenotabile;
	}
	public void setFlgPrenotabile(boolean flgPrenotabile) {
		this.flgPrenotabile = flgPrenotabile;
	}
	public int getMinutiPrenotabili() {
		return minutiPrenotabili;
	}
	public void setMinutiPrenotabili(int minutiPrenotabili) {
		this.minutiPrenotabili = minutiPrenotabili;
	}
	public String getOpenApi() {
		return openApi;
	}
	public void setOpenApi(String openApi) {
		this.openApi = openApi;
	}
	public int getTipoGruppo() {
		return tipoGruppo;
	}
	public void setTipoGruppo(int tipoGruppo) {
		this.tipoGruppo = tipoGruppo;
	}
	public List<ContattoRisorsaDTO> getContatti() {
		return contatti;
	}
	public void setContatti(List<ContattoRisorsaDTO> contatti) {
		this.contatti = contatti;
	}
	public String getDescrizione() {
		return descrizione;
	}
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	public int getGiorniMinPrenot() {
		return giorniMinPrenot;
	}
	public void setGiorniMinPrenot(int giorniMinPrenot) {
		this.giorniMinPrenot = giorniMinPrenot;
	}
	public int getGiorniMaxPrenot() {
		return giorniMaxPrenot;
	}
	public void setGiorniMaxPrenot(int giorniMaxPrenot) {
		this.giorniMaxPrenot = giorniMaxPrenot;
	}
	public List<DomandaDTO> getDomande() {
		return domande;
	}
	public void setDomande(List<DomandaDTO> domande) {
		this.domande = domande;
	}
	public List<DocumentoDTO> getDocumenti() {
		return documenti;
	}
	public void setDocumenti(List<DocumentoDTO> documenti) {
		this.documenti = documenti;
	}
	public int getNumMaxSlotPrenot() {
		return numMaxSlotPrenot;
	}
	public void setNumMaxSlotPrenot(int numMaxSlotPrenot) {
		this.numMaxSlotPrenot = numMaxSlotPrenot;
	}
	public List<SlotDTO> getSlot() {
		return slot;
	}
	public void setSlot(List<SlotDTO> slot) {
		this.slot = slot;
	}
	public boolean isVirtuale() {
		return virtuale;
	}
	public void setVirtuale(boolean virtuale) {
		this.virtuale = virtuale;
	}

}