package it.itsvil.notificatore;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.PropertySource;
import org.springframework.context.annotation.PropertySources;

@SpringBootApplication
@PropertySources({
	@PropertySource("file:${catalina.home}/conf/modules/notificatore/application.properties")
})
public class NotificatoreApplication extends SpringBootServletInitializer{

	public static void main(String[] args) {
		SpringApplication.run(NotificatoreApplication.class, args);
	}
	
	@Override
	protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
		return application.sources(NotificatoreApplication.class);
	}

}
