package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class PushNotificationDTO implements Serializable{
	
	private static final long serialVersionUID = 8550226153479224678L;
	
	@Schema(required=true, description="Struttura contenente la lista delle notifiche push da inviare")
	private List<PunctualPushNotificationDTO> notifications;

	public List<PunctualPushNotificationDTO> getNotifications() {
		return notifications;
	}

	public void setNotifications(List<PunctualPushNotificationDTO> notifications) {
		this.notifications = notifications;
	}
	
}
