package it.itsvil.notificatore.backend.mapper;

import org.apache.ibatis.annotations.Mapper;

import it.itsvil.notificatore.backend.dto.EmailBodyDTO;
import it.itsvil.notificatore.backend.dto.KeysDTO;
import it.itsvil.notificatore.backend.dto.NotificationConfDTO;
import it.itsvil.notificatore.backend.dto.UserNotificationDTO;

@Mapper
public interface NotificatoreConfigurationMapper {
	
	 void insertKeys(KeysDTO request);
	 void insertUserNotification(UserNotificationDTO request);
	 void updateUserNotification(UserNotificationDTO request);
	 void insertNotificationConf(NotificationConfDTO request);
	 void updateNotificationConf(NotificationConfDTO request);
	 void insertEmailBody(EmailBodyDTO request);
	 void updateEmailBody(EmailBodyDTO request);

}
