package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class InsertRuoloRequestDTO implements Serializable{

	private static final long serialVersionUID = 1562856863617609553L;
	
	@Schema(required=true, description="Identificativo univoco dell'applicazione a cui associare il ruolo")
	private String n_id_app;
	
	@Schema(required=false, description="Descrizione del ruolo")
	private String t_descrizione;
	
	@Schema(required=true, description="Nome del ruolo")
	private String t_nome;

	public String getN_id_app() {
		return n_id_app;
	}

	public void setN_id_app(String n_id_app) {
		this.n_id_app = n_id_app;
	}

	public String getT_descrizione() {
		return t_descrizione;
	}

	public void setT_descrizione(String t_descrizione) {
		this.t_descrizione = t_descrizione;
	}

	public String getT_nome() {
		return t_nome;
	}

	public void setT_nome(String t_nome) {
		this.t_nome = t_nome;
	}
	
}
