import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';

import { Allegato } from '../../models';

@Component({
	selector: 'app-expandible-attachment-card',
	templateUrl: './expandible-attachment-card.component.html',
	styleUrls: ['./expandible-attachment-card.component.css'],
})
export class ExpandibleAttachmentComponent implements OnInit {
	// @Output() onToggleRow: EventEmitter<void> = new EventEmitter();
	@Output() onViewAllegato: EventEmitter<Allegato> = new EventEmitter();
	@Input() subtitle: string;
	@Input() attachments: Allegato[];
	isVisible: boolean = false;

	constructor() {}

	ngOnInit() {}

	toggleRow() {
		this.isVisible = !this.isVisible;
	}

	viewAllegato(attachment: Allegato) {
		this.onViewAllegato.emit(attachment);
	}
}
