import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { IonicModule } from '@ionic/angular';
import { PdfViewerModule } from 'ng2-pdf-viewer';
import { PinchZoomModule } from 'ngx-pinch-zoom';
import { HeaderModule } from '../header/header.module';
import { ModalPdfViewerComponent } from './modal-pdf-viewer.component';

@NgModule({
  imports: [
    CommonModule,
    PdfViewerModule,
    IonicModule,
    PinchZoomModule,
    HeaderModule
  ],
  declarations: [ModalPdfViewerComponent]
})
export class ModalPdfViewerModule { }
