import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { PoiPage } from './poi.page';

const routes: Routes = [
  {
    path: '',
    component: PoiPage
  },
  {
    path: 'poi-dettaglio',
    loadChildren: () => import('../').then(m => m.PoiDettaglioPageModule)
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PoiPageRoutingModule {}
