import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { GenericSkeletonModule } from 'src/app/components';

import { HeaderModule } from '../../../components/header/header.module';
import { ModalPdfViewerModule } from '../../../components/modal-pdf-viewer/modal-pdf-viewer.module';
import { DettaglioPrenotazionePageRoutingModule } from './dettaglio-prenotazione-routing.module';
import { DettaglioPrenotazionePage } from './dettaglio-prenotazione.page';

@NgModule({
	imports: [CommonModule, FormsModule, IonicModule, DettaglioPrenotazionePageRoutingModule, ModalPdfViewerModule, HeaderModule, GenericSkeletonModule],
	declarations: [DettaglioPrenotazionePage],
})
export class DettaglioPrenotazionePageModule {}
