import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { IonicSelectableModule } from 'ionic-selectable';

import { MessageCardModule, ModalPdfViewerModule } from '../../../components';
import { HeaderModule } from '../../../components';
import { PrenotazioneStep2PageRoutingModule } from './prenotazione-step2-routing.module';
import { PrenotazioneStep2Page } from './prenotazione-step2.page';

@NgModule({
	imports: [
		CommonModule,
		FormsModule,
		IonicModule,
		PrenotazioneStep2PageRoutingModule,
		IonicSelectableModule,
		MessageCardModule,
		ModalPdfViewerModule,
		HeaderModule,
	],
	declarations: [PrenotazioneStep2Page],
})
export class PrenotazioneStep2PageModule {}
