import { Pipe, PipeTransform } from '@angular/core';
import { ProcedureStatus } from 'src/app/models';

@Pipe({
  name: 'gpStatus'
})
export class GpStatusPipe implements PipeTransform {

  transform(value: string, procedureStatus: ProcedureStatus[]): unknown {
    if (value && procedureStatus && procedureStatus.length > 0) {
      try {
        return procedureStatus.find(status => status.key === value).label;
      } catch (e) {
        return null;
      }
    } else {
      return null;
    }
  }

}
