import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { IonicModule } from '@ionic/angular';
import { GpValueVariablePipe } from 'src/app/pipe';
import { GpStatusPipe } from './gp-status/gp-status.pipe';
import { SatisfationPathPipe } from './satisfation-path/satisfation-path.pipe';

@NgModule({
	declarations: [GpValueVariablePipe, GpStatusPipe, SatisfationPathPipe],
	imports: [CommonModule, IonicModule],
	exports: [GpValueVariablePipe, GpStatusPipe],
	providers: [GpValueVariablePipe]
})
export class PipeModule { }
