package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

@JsonInclude(Include.NON_ABSENT)
public class AnagraficaDTO  implements Serializable{
	
	private static final long serialVersionUID = 7234592704255330830L;

	private String nome;
	
	private String cognome;
	
	private String sesso;
	
	private Date dataNascitaTrue; 
	
	private String dataNascita;
	
	private String codiceCatasto;
	
	private String cf;
	
	private ContattoAnagraficaDTO contatti;
	
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getCognome() {
		return cognome;
	}
	public void setCognome(String cognome) {
		this.cognome = cognome;
	}
	public String getSesso() {
		return sesso;
	}
	public void setSesso(String sesso) {
		this.sesso = sesso;
	}
	public String getDataNascita() {
		return dataNascita;
	}
	public void setDataNascita(String dataNascita) {
		this.dataNascita = dataNascita;
	}
	public String getCodiceCatasto() {
		return codiceCatasto;
	}
	public void setCodiceCatasto(String codiceCatasto) {
		this.codiceCatasto = codiceCatasto;
	}
	public String getCf() {
		return cf;
	}
	public void setCf(String cf) {
		this.cf = cf;
	}
	public ContattoAnagraficaDTO getContatti() {
		return contatti;
	}
	public void setContatti(ContattoAnagraficaDTO contatti) {
		this.contatti = contatti;
	}
	public Date getDataNascitaTrue() {
		return dataNascitaTrue;
	}
	public void setDataNascitaTrue(Date dataNascitaTrue) {
		this.dataNascitaTrue = dataNascitaTrue;
	}
	
}