package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.google.gson.annotations.JsonAdapter;

import it.itsvil.macs.backend.util.LocalDateTimeAdapter;

public class AuditDTO implements Serializable{

	private static final long serialVersionUID = 6123872079363680289L;
    
	private Long n_id_audit;
    private String t_nome_ufficio;
    private Long n_id_ufficio;
    private String t_nome_risorsa;
    private Long n_id_risorsa;
    @JsonAdapter(LocalDateTimeAdapter.class)
    private LocalDateTime d_data_inizio_appuntamento;
    @JsonAdapter(LocalDateTimeAdapter.class)
    private LocalDateTime d_data_fine_appuntamento;
    @JsonAdapter(LocalDateTimeAdapter.class)
    private LocalDateTime d_data_prenotazione;
    private String t_questionario_compilato;
    private String t_tipologia_prenotazione;
    private String t_slot_occupati;
    private Long n_id_prenotazione;
    private String t_disdetto;
    @JsonAdapter(LocalDateTimeAdapter.class)
    private LocalDateTime d_data_disdetta;
    
	public Long getN_id_audit() {
		return n_id_audit;
	}
	public void setN_id_audit(Long n_id_audit) {
		this.n_id_audit = n_id_audit;
	}
	public String getT_nome_ufficio() {
		return t_nome_ufficio;
	}
	public void setT_nome_ufficio(String t_nome_ufficio) {
		this.t_nome_ufficio = t_nome_ufficio;
	}
	public Long getN_id_ufficio() {
		return n_id_ufficio;
	}
	public void setN_id_ufficio(Long n_id_ufficio) {
		this.n_id_ufficio = n_id_ufficio;
	}
	public String getT_nome_risorsa() {
		return t_nome_risorsa;
	}
	public void setT_nome_risorsa(String t_nome_risorsa) {
		this.t_nome_risorsa = t_nome_risorsa;
	}
	public Long getN_id_risorsa() {
		return n_id_risorsa;
	}
	public void setN_id_risorsa(Long n_id_risorsa) {
		this.n_id_risorsa = n_id_risorsa;
	}
	public LocalDateTime getD_data_inizio_appuntamento() {
		return d_data_inizio_appuntamento;
	}
	public void setD_data_inizio_appuntamento(LocalDateTime d_data_inizio_appuntamento) {
		this.d_data_inizio_appuntamento = d_data_inizio_appuntamento;
	}
	public LocalDateTime getD_data_fine_appuntamento() {
		return d_data_fine_appuntamento;
	}
	public void setD_data_fine_appuntamento(LocalDateTime d_data_fine_appuntamento) {
		this.d_data_fine_appuntamento = d_data_fine_appuntamento;
	}
	public LocalDateTime getD_data_prenotazione() {
		return d_data_prenotazione;
	}
	public void setD_data_prenotazione(LocalDateTime d_data_prenotazione) {
		this.d_data_prenotazione = d_data_prenotazione;
	}
	public String getT_questionario_compilato() {
		return t_questionario_compilato;
	}
	public void setT_questionario_compilato(String t_questionario_compilato) {
		this.t_questionario_compilato = t_questionario_compilato;
	}
	public String getT_tipologia_prenotazione() {
		return t_tipologia_prenotazione;
	}
	public void setT_tipologia_prenotazione(String t_tipologia_prenotazione) {
		this.t_tipologia_prenotazione = t_tipologia_prenotazione;
	}
	public String getT_slot_occupati() {
		return t_slot_occupati;
	}
	public void setT_slot_occupati(String t_slot_occupati) {
		this.t_slot_occupati = t_slot_occupati;
	}
	public Long getN_id_prenotazione() {
		return n_id_prenotazione;
	}
	public void setN_id_prenotazione(Long n_id_prenotazione) {
		this.n_id_prenotazione = n_id_prenotazione;
	}
	public String getT_disdetto() {
		return t_disdetto;
	}
	public void setT_disdetto(String t_disdetto) {
		this.t_disdetto = t_disdetto;
	}
	public LocalDateTime getD_data_disdetta() {
		return d_data_disdetta;
	}
	public void setD_data_disdetta(LocalDateTime d_data_disdetta) {
		this.d_data_disdetta = d_data_disdetta;
	}
}
