package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.google.gson.annotations.JsonAdapter;

import it.itsvil.macs.backend.util.LocalDateTimeAdapter;

public class ComunicazioneDTO implements Serializable {
 
	private static final long serialVersionUID = -356097280818448491L;

	private Long n_id;
    private String t_titolo;
    private String t_descrizione_breve;
    private String t_testo_completo;
    @JsonAdapter(LocalDateTimeAdapter.class)
    private LocalDateTime d_data_ins;
    private String t_allegato;
    
	public Long getN_id() {
		return n_id;
	}
	public void setN_id(Long n_id) {
		this.n_id = n_id;
	}
	public String getT_titolo() {
		return t_titolo;
	}
	public void setT_titolo(String t_titolo) {
		this.t_titolo = t_titolo;
	}
	public String getT_descrizione_breve() {
		return t_descrizione_breve;
	}
	public void setT_descrizione_breve(String t_descrizione_breve) {
		this.t_descrizione_breve = t_descrizione_breve;
	}
	public String getT_testo_completo() {
		return t_testo_completo;
	}
	public void setT_testo_completo(String t_testo_completo) {
		this.t_testo_completo = t_testo_completo;
	}
	public LocalDateTime getD_data_ins() {
		return d_data_ins;
	}
	public void setD_data_ins(LocalDateTime d_data_ins) {
		this.d_data_ins = d_data_ins;
	}
	public String getT_allegato() {
		return t_allegato;
	}
	public void setT_allegato(String t_allegato) {
		this.t_allegato = t_allegato;
	}
    
    

}
