package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.google.gson.annotations.JsonAdapter;

import it.itsvil.macs.backend.util.LocalDateTimeAdapter;

public class ConfermaPrenotazioneCustomRequestDTO implements Serializable{

	private static final long serialVersionUID = 4592053422490926599L;

	@JsonAdapter(LocalDateTimeAdapter.class)
	private LocalDateTime dataInizioPrenotazione;
	
	private long idUfficio;
	
	private String nomeUfficio;
	
	private long idRisorsa;
	
	private String nomeRisorsa;
	
	private String spidCode;
	
	private String prenotazionePersonale;

	private ZoomMeetingRequestDTO meeting;
	private ConfermaPrenotazioneRequestDTO confermaPrenotazione;
	
	public LocalDateTime getDataInizioPrenotazione() {
		return dataInizioPrenotazione;
	}
	public void setDataInizioPrenotazione(LocalDateTime dataInizioPrenotazione) {
		this.dataInizioPrenotazione = dataInizioPrenotazione;
	}
	public long getIdUfficio() {
		return idUfficio;
	}
	public void setIdUfficio(long idUfficio) {
		this.idUfficio = idUfficio;
	}
	public String getNomeUfficio() {
		return nomeUfficio;
	}
	public void setNomeUfficio(String nomeUfficio) {
		this.nomeUfficio = nomeUfficio;
	}
	public long getIdRisorsa() {
		return idRisorsa;
	}
	public void setIdRisorsa(long idRisorsa) {
		this.idRisorsa = idRisorsa;
	}
	public String getNomeRisorsa() {
		return nomeRisorsa;
	}
	public void setNomeRisorsa(String nomeRisorsa) {
		this.nomeRisorsa = nomeRisorsa;
	}
	public String getSpidCode() {
		return spidCode;
	}
	public void setSpidCode(String spidCode) {
		this.spidCode = spidCode;
	}
	public String getPrenotazionePersonale() {
		return prenotazionePersonale;
	}
	public void setPrenotazionePersonale(String prenotazionePersonale) {
		this.prenotazionePersonale = prenotazionePersonale;
	}
	public ConfermaPrenotazioneRequestDTO getConfermaPrenotazione() {
		return confermaPrenotazione;
	}
	public void setConfermaPrenotazione(ConfermaPrenotazioneRequestDTO confermaPrenotazione) {
		this.confermaPrenotazione = confermaPrenotazione;
	}

	public ZoomMeetingRequestDTO getMeeting() {
		return meeting;
	}

	public void setMeeting(ZoomMeetingRequestDTO meeting) {
		this.meeting = meeting;
	}
}
