package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.util.List;

public class ConfermaPrenotazioneRequestDTO extends CoreRequestDTO implements Serializable {
	
	private static final long serialVersionUID = -8992823284323637163L;

	//required
	private String tokenPrenotazione;
	
	private List<RisposteInternalDTO> risposte;
	
	//required
	private AnagraficaDTO anagraficaPresentante;
	
	private AnagraficaDTO anagraficaFruitore;



	//required
//	private String ricevuta;
	
	private String note;
	
	public String getTokenPrenotazione() {
		return tokenPrenotazione;
	}
	public void setTokenPrenotazione(String tokenPrenotazione) {
		this.tokenPrenotazione = tokenPrenotazione;
	}
	public List<RisposteInternalDTO> getRisposte() {
		return risposte;
	}
	public void setRisposte(List<RisposteInternalDTO> risposte) {
		this.risposte = risposte;
	}
	public AnagraficaDTO getAnagraficaPresentante() {
		return anagraficaPresentante;
	}
	public void setAnagraficaPresentante(AnagraficaDTO anagraficaPresentante) {
		this.anagraficaPresentante = anagraficaPresentante;
	}


	public AnagraficaDTO getAnagraficaFruitore() {
		return anagraficaFruitore;
	}
	public void setAnagraficaFruitore(AnagraficaDTO anagraficaFruitore) {
		this.anagraficaFruitore = anagraficaFruitore;
	}
//	public String getRicevuta() {
//		return ricevuta;
//	}
//	public void setRicevuta(String ricevuta) {
//		this.ricevuta = ricevuta;
//	}
	public String getNote() {
		return note;
	}
	public void setNote(String note) {
		this.note = note;
	}
	
	

}
