package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_ABSENT)
public class InitPrenotazioneCoreRequestDTO implements Serializable{

	private static final long serialVersionUID = 161667872079436415L;
	
	private String openApi;
	
	private List<SlotDTO> slots;
	
	private List<PrtTimeIntervalInterfaceDTO> fromPrtTimeIntervalInterface;

	public String getOpenApi() {
		return openApi;
	}

	public void setOpenApi(String openApi) {
		this.openApi = openApi;
	}

	public List<SlotDTO> getSlots() {
		return slots;
	}

	public void setSlots(List<SlotDTO> slots) {
		this.slots = slots;
	}

	public List<PrtTimeIntervalInterfaceDTO> getFromPrtTimeIntervalInterface() {
		return fromPrtTimeIntervalInterface;
	}

	public void setFromPrtTimeIntervalInterface(List<PrtTimeIntervalInterfaceDTO> fromPrtTimeIntervalInterface) {
		this.fromPrtTimeIntervalInterface = fromPrtTimeIntervalInterface;
	}
	
}
