package it.itsvil.macs.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(Include.NON_ABSENT)
public class ProfilatoreInsertUtenzaByRuoloRequestDTO implements Serializable{

	private static final long serialVersionUID = -8205014207201511542L;
	
	@Schema(required = true, description = "Nome del ruolo")
	private String t_nome_ruolo;
	
	@Schema(required = true, description = "Identificativo utente")
	private String t_id_user;

}
