package it.itsvil.macs.backend.dto;

import java.io.Serializable;

public class RisorseMobileDTO extends RisorseDTO implements Serializable{

	private static final long serialVersionUID = -4963967080112504702L;

	private int numRisorse;
	
	public int getNumRisorse() {
		return numRisorse;
	}
	public void setNumRisorse(int numRisorse) {
		this.numRisorse = numRisorse;
	}
	
	public void setCompleteRisorsa(RisorseDTO risorsa, int numRisorse) {
		this.setOpenApi(risorsa.getOpenApi());
		this.setNome(risorsa.getNome());
		this.setId(risorsa.getId());
		this.setIdParent(risorsa.getIdParent());
		this.setFlgPrenotabile(risorsa.isFlgPrenotabile());
		this.setMinutiPrenotabili(risorsa.getMinutiPrenotabili());
		this.setTipoGruppo(risorsa.getTipoGruppo());
		this.setContatti(risorsa.getContatti());
		this.setDescrizione(risorsa.getDescrizione());
		this.setGiorniMinPrenot(risorsa.getGiorniMinPrenot());
		this.setGiorniMaxPrenot(risorsa.getGiorniMaxPrenot());
		this.setDomande(risorsa.getDomande());
		this.setDocumenti(risorsa.getDocumenti());
		this.setNumMaxSlotPrenot(risorsa.getNumMaxSlotPrenot());
		this.setSlot(risorsa.getSlot());
		this.setVirtuale(risorsa.isVirtuale());
		this.setNumRisorse(numRisorse);
	}

}