package it.itsvil.macs.backend.mapper;

import org.apache.ibatis.annotations.Mapper;

import it.itsvil.macs.backend.dto.AuditDTO;
import it.itsvil.macs.backend.dto.CodiceFiscaleFruitoreAndUserDTO;
import it.itsvil.macs.backend.dto.PrenotazioneDTO;

@Mapper
public interface MacsMapper {

	void insertAudit(AuditDTO request);
	Long nextSqAudit();
	void upDateAudit(AuditDTO request);
	Long nextSqPrenotazioni();
	void insertPrenotazione(PrenotazioneDTO request);
	void upDateMeetingPrenotazione(PrenotazioneDTO request);
	void upDateSadisfactionPrenotazione(PrenotazioneDTO request);
	void UpDateDisdiciPrenotazione(PrenotazioneDTO request);
	CodiceFiscaleFruitoreAndUserDTO getCfRichiedenteFruitore(int n_id_prenotazione);
	PrenotazioneDTO getPrenotazione(Long n_id);
}
