package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class EmailAccountDTO implements Serializable {

	private static final long serialVersionUID = -3587853412595177781L;
	
	@Schema(required=true, description="Indirizzo email")
	private String email_account;
	
	@Schema(required=true, description="Password associata all'indirizzo email")
	private String email_password;
	
	@Schema(required=true, description="Porta email")
	private String email_port;
	
	@Schema(required=true, description="SMTP associato all'email")
	private String email_host_smtp;
	
	public String getEmail_account() {
		return email_account;
	}
	
	public void setEmail_account(String email_account) {
		this.email_account = email_account;
	}
	
	public String getEmail_password() {
		return email_password;
	}
	
	public void setEmail_password(String email_password) {
		this.email_password = email_password;
	}
	
	public String getEmail_port() {
		return email_port;
	}
	
	public void setEmail_port(String email_port) {
		this.email_port = email_port;
	}
	
	public String getEmail_host_smtp() {
		return email_host_smtp;
	}
	
	public void setEmail_host_smtp(String email_host_smtp) {
		this.email_host_smtp = email_host_smtp;
	}
	

}
