package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class InsertEmailBodyRequestDTO implements Serializable{

	private static final long serialVersionUID = 3650479044200164202L;
	
	@Schema(required=true, description="Identificativo univoco dell'applicazione")
	private String n_id_app;
	
	@Schema(required=true, description="Tipologia di email")
	private String t_tipo_email;
	
	@Schema(required=true, description="Corpo dell'email codificato in base64")
	private String t_encoded_Body;
	
	public String getN_id_app() {
		return n_id_app;
	}
	
	public void setN_id_app(String n_id_app) {
		this.n_id_app = n_id_app;
	}
	
	public String getT_tipo_email() {
		return t_tipo_email;
	}
	
	public void setT_tipo_email(String t_tipo_email) {
		this.t_tipo_email = t_tipo_email;
	}
	
	public String getT_encoded_Body() {
		return t_encoded_Body;
	}
	
	public void setT_encoded_Body(String t_encoded_Body) {
		this.t_encoded_Body = t_encoded_Body;
	}
	
}
