package it.itsvil.notificatore.backend.service;

import org.springframework.stereotype.Service;

import it.itsvil.notificatore.backend.dto.EmailBodyDTO;
import it.itsvil.notificatore.backend.dto.EmailConfigurationRequestDTO;
import it.itsvil.notificatore.backend.dto.InsertEmailBodyRequestDTO;
import it.itsvil.notificatore.backend.dto.InsertNotificationConfRequestDTO;
import it.itsvil.notificatore.backend.dto.InsertUserNotificationRequestDTO;
import it.itsvil.notificatore.backend.dto.KeysDTO;
import it.itsvil.notificatore.backend.dto.NotificationConfDTO;
import it.itsvil.notificatore.backend.dto.UpdateUserNotificationRequestDTO;

@Service
public interface NotificatoreConfigurationService {

	 void insertKeys(KeysDTO request);
	 void insertUserNotification(InsertUserNotificationRequestDTO request);
	 void updateUserNotification(UpdateUserNotificationRequestDTO request);
	 void insertNotificationConf(InsertNotificationConfRequestDTO request);
	 void updateNotificationConf(NotificationConfDTO request);
	 void insertEmailBody(InsertEmailBodyRequestDTO request);
	 void updateEmailBody(EmailBodyDTO request);
	 
	 int insertEmailConfiguration(EmailConfigurationRequestDTO request, String n_id_app);
	 
	
}
