package it.itsvil.notificatore.backend.service;

import org.springframework.stereotype.Service;

import it.itsvil.notificatore.backend.dto.BroadcastPushNotificationRequestDTO;
import it.itsvil.notificatore.backend.dto.PushNotificationDTO;
import it.itsvil.notificatore.backend.exceptions.InitPushNotificationException;

@Service
public interface NotificatorePushNotificationService {

	void loadConfiguration(String n_id_app, PushNotificationDTO request) throws InitPushNotificationException;
	
	public boolean sendBroadcastPushNotification(String n_id_app, BroadcastPushNotificationRequestDTO request) throws Exception;
	
	boolean checkSendPushNotificationInput(PushNotificationDTO push);

	boolean sendPushNotification(String applicationId, PushNotificationDTO push) throws Exception;
	
}
