package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class InsertFunzioneRequestDTO implements Serializable{

	private static final long serialVersionUID = -6426054542537299067L;
	
	@Schema(required=true, description="Identificativo univoco del ruolo")
	private Long n_id_ruolo;
	
	@Schema(required=true, description="Nome della funzione")
	private String t_nome;
	
	@Schema(required=false, description="Descrizione della funzione")
	private String t_descrizione;
	
	public Long getN_id_ruolo() {
		return n_id_ruolo;
	}
	
	public void setN_id_ruolo(Long n_id_ruolo) {
		this.n_id_ruolo = n_id_ruolo;
	}
	
	public String getT_nome() {
		return t_nome;
	}
	
	public void setT_nome(String t_nome) {
		this.t_nome = t_nome;
	}
	
	public String getT_descrizione() {
		return t_descrizione;
	}
	
	public void setT_descrizione(String t_descrizione) {
		this.t_descrizione = t_descrizione;
	}
	
}
