package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;

import io.swagger.v3.oas.annotations.media.Schema;

public class UpdateUtenzaRequestDTO implements Serializable{

	private static final long serialVersionUID = -4736057528752657304L;
	
	@Schema(required=false, description="Valore di attivazione dell'utenza", allowableValues="Y,N")
	private String b_attivo;
	
	@Schema(required=true, description="Identificativo univoco dell'utente")
	private String t_id_user;
	
	@Schema(required=false, description="Identificativo univoco del ruolo")
	private Long n_id_ruolo;
	
	public String getB_attivo() {
		return b_attivo;
	}
	
	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}
	
	public String getT_id_user() {
		return t_id_user;
	}
	
	public void setT_id_user(String t_id_user) {
		this.t_id_user = t_id_user;
	}
	
	public Long getN_id_ruolo() {
		return n_id_ruolo;
	}
	
	public void setN_id_ruolo(Long n_id_ruolo) {
		this.n_id_ruolo = n_id_ruolo;
	}
	
}
