package it.itsvil.profilatore.backend.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import it.itsvil.profilatore.backend.dto.DettaglioFunzionalitaAggiuntiveDTO;
import it.itsvil.profilatore.backend.dto.FunzionalitaDTO;
import it.itsvil.profilatore.backend.dto.FunzioneDTO;
import it.itsvil.profilatore.backend.dto.RuoloDTO;
import it.itsvil.profilatore.backend.dto.UtenzeDTO;

@Mapper
public interface ProfilatoreMapper {

	public RuoloDTO getRuolo(RuoloDTO ruolo);
	public List<FunzioneDTO> getFunzione(Long n_id_ruolo);
	public List<FunzionalitaDTO> getFunzionalitaAttive(Long n_id_funzione);
	public UtenzeDTO getUtente(UtenzeDTO utente);
	public List<DettaglioFunzionalitaAggiuntiveDTO> getFunzionalitaAggiuntiveAttive(Long n_id_utente);
	public void insertUtenza(UtenzeDTO request);
	public Long nextUserSequence();
	public void updateUtenza(UtenzeDTO request);
}
