CREATE TABLE public."T_Prenotazioni"
(
    n_id numeric,
    t_spid_code character varying,
    t_nome_ufficio character varying,
    n_id_ufficio numeric,
    t_nome_risorsa character varying,
    n_id_risorsa numeric,
    d_data_appuntamento timestamp without time zone,
    t_disdetto character varying(1),
    t_prenotazione_personale character varying(1),
    n_id_prenotazione numeric,
    CONSTRAINT "PK_Prenotazioni" PRIMARY KEY (n_id),
    CONSTRAINT "FK_Prenotazioni" FOREIGN KEY (t_spid_code)
    REFERENCES public."T_User" (t_spid_code) MATCH SIMPLE
    ON UPDATE NO ACTION
    ON DELETE NO ACTION
)
WITH (
    OIDS = FALSE
);

ALTER TABLE public."T_Prenotazioni"
    OWNER to macsdb;